Jupiter - Zadanie #1649
Zadanie # 1648 (Zamknigty): Szablony numeracji

Utworzenie serwisu do zarzadzania szablonami numeraciji

2017-04-18 12:21 - Michat Komar

Status: Zamkniety Start date: 2017-04-18
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%

Category: backend Estimated time: 0.00 hour

Target version: 0.3

Developer: Michat Komar Tester: tukasz Waskiewicz
Description

Serwis powinien umozliwia¢ dodawanie, modyfikacje oraz usuwanie szablondw.

Model szablonu:

Dla kazdego z poziomdw hierarchii rok/numer/wolumin mozna okresli¢ za pomocg wyrazenia sposob automatycznego generowania

numeru.

Nalezy sie zastanowi¢ nad postacig wyrazenia. Ja proponuje co$ w stylu formatowania stringdw w javie - %yS%r/%t Yop/%2C/%C -
zwracatby rok/numer/kolejny nr woluminu; S%ySeriS%t %p/%2¢/%GC - to samo, tylko wolumin cyframi rzymskimi itp.

Podstawowa funkcjonalno$¢ wyrazen:

- wyswietlanie numeru w postaci cyfr rzymskich oraz arabskich

- nadawanie kolejnych nr w kontekscie wskazanych wyzszych pozioméw - np. nr woluminu zeruje sie co roku, co numer albo w ogéle

- mozliwo$¢ zawierania sie numeru z wyzszego poziomu w numerze nizszego poziomu.

Associated revisions

Revision 34a7a187 - 2017-04-24 08:47 - Michat Komar

refs #1649: Utworzenie modelu i atrapy serwisu do numerowania dokumentow

Revision a41b1cf6 - 2017-04-26 11:03 - Michat Komar

refs #1649: Fix maopowan

Revision 4bb5b43f - 2017-04-27 14:04 - Michat Komar

refs #1649: Implementacja metod serwisu

Revision afa053c1 - 2017-04-27 14:04 - Michat Komar

refs #1649: Serwis do zarzadzania szablonami. Brak ewaluaciji.

Revision 19a3bf0c - 2017-04-28 15:11 - Michat Komar

refs #1649: Refaktoring modelu dokumentow
History

#1 - 2017-04-18 13:10 - Michat Komar
- Assignee changed from Michat Komar to tukasz Waskiewicz

#2 - 2017-04-24 08:43 - Michat Komar
- Assignee changed from tukasz Waskiewicz to Michat Komar

#3 - 2017-04-24 08:44 - Michat Komar
- Status changed from Nowy to W toku

#4 - 2017-05-10 15:04 - Michat Komar
- Status changed from W toku to Testowanie

- Assignee changed from Michat Komar to tukasz Waskiewicz
- % Done changed from 0 to 100

Zrobione.

#5 - 2017-05-12 12:31 - Lukasz Waskiewicz
- Description updated

#6 - 2017-05-12 12:31 - Lukasz Waskiewicz
- Status changed from Testowanie to Rozwigzany
- Assignee changed from tukasz Waskiewicz to Michat Komar

OK

#7 - 2017-06-06 11:56 - Michat Komar

- Status changed from Rozwigzany to Zamkniety
